device_power_up
Prev | Device Drivers Power Management | Next

## Name

device_power_up — Turn on all devices that need special attention.

## Synopsis

`void device_power_up (` |  | void`)`;

## Arguments

`void`

  no arguments

## Description

Power on system devices, then devices that required we shut them down with interrupts disabled.

Must be called with interrupts disabled.

Prev | Up | Next
device_pm_schedule_removal | Home | device_resume